#include "stdafx.h"
#include "ResSwitch.h"
#include "ParametersPromptDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

CParametersPromptDlg::CParametersPromptDlg(CWnd* pParent)	: CDialog(CParametersPromptDlg::IDD, pParent)
{
}

void CParametersPromptDlg::DoDataExchange(CDataExchange* pDX)
{
  //Let the base class do its thing
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CParametersPromptDlg, CDialog)
	ON_BN_CLICKED(IDC_MYHELP, OnMyHelp)
END_MESSAGE_MAP()

void CParametersPromptDlg::OnMyHelp() 
{
  TCHAR sFilename[_MAX_PATH];
  GetModuleFileName(NULL, sFilename, _MAX_PATH);
  TCHAR sDrive[_MAX_DRIVE];
  TCHAR sDir[_MAX_DIR];
  TCHAR sFname[_MAX_FNAME];
#if (_MSC_VER >= 1400)
  _tsplitpath_s(sFilename, sDrive, sizeof(sDrive)/sizeof(TCHAR), sDir, sizeof(sDir)/sizeof(TCHAR), sFname, sizeof(sFname)/sizeof(TCHAR), NULL, 0);
  _tmakepath_s(sFilename, sizeof(sFilename)/sizeof(TCHAR), sDrive, sDir, sFname, _T("HTM"));
#else  
  _tsplitpath(sFilename, sDrive, sDir, sFname, NULL);
  _tmakepath(sFilename, sDrive, sDir, sFname, _T("HTM"));
#endif

	HINSTANCE hRun = ShellExecute(AfxGetMainWnd()->m_hWnd, _T("open"), sFilename, NULL, NULL, SW_SHOW);
  if (reinterpret_cast<INT_PTR>(hRun) <= 32)
    AfxMessageBox(IDP_FAIL_RUN_HELP, MB_OK | MB_ICONEXCLAMATION);
}
