/*
Module : RESSWITCH.h
Purpose: Provides the main app functionality for the ResSwitch program
Created: PJN / 25-09-1997

Copyright (c) 1996 - 2007 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/


///////////////////////////////// Macros / Defines ////////////////////////////

#pragma once

#ifndef __RESSWITCH_H__
#define __RESSWITCH_H__


//////////////////////////////// Includes /////////////////////////////////////

#include "resource.h"


//////////////////////////////// Classes //////////////////////////////////////

class CResSwitchApp : public CWinApp
{
public:
//Constructors / Destructors
  CResSwitchApp();

protected:
//virtual functions
  virtual BOOL InitInstance();

  DECLARE_MESSAGE_MAP()
};

#endif //__RESSWITCH_H__
